%define name kgoodstuff
%define version 0.6.1
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: fvwm style buttons for KDE
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE/Applications/Utilities
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Requires: qt >= 1.40 kdelibs >= 1.0

%changelog

%description
A button bar like fvwmbuttons or gkgoodstuff.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT \
	--disable-path-checks
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT/%{prefix} install-strip

%files
%attr(755,root,root) %{prefix}/bin/kgoodstuff

%attr( - ,root,root) %{prefix}/share/applnk
%attr( - ,root,root) %{prefix}/share/locale
%attr( - ,root,root) %{prefix}/share/doc

# %attr(644,root,root) %{prefix}/share/icons/*.xpm
# %attr(644,root,root) %{prefix}/share/icons/mini/*.xpm

%clean
rm -r $RPM_BUILD_ROOT
rm -r %{builddir}
